Skip to main content

Get Widget URL With Configuration Options

POST
/users/{id}/urls

This endpoint allows you to get a URL by passing the widget_type in the request body along with the desired configuration options. Only set the use_cases field if you've opted in to using the feature, in which case setting this field is required. Each URL contains an embedded token that expires after ten minutes or when used, whichever comes first. A fresh URL must be obtained each time a page is loaded or reloaded.

See Widget Types for supported values.

Options may be tied to a particular widget_type. These are described in the Configuration Options section. You may also pass an optional Accept-Language header. Note that this is a POST request, and that JSON data must be used in the request.

info

Automatic aggregation is triggered when any widget URL retrieved from this endpoint is loaded (as opposed to when the request was made), except for the connect_widget and connections_widget. If you'd like automatic aggregation for the connect_widget and connections_widget, please reach out to MX.

Request sample

Request
Response
Language:shell

_15
curl -i -X POST https://int-sso.moneydesktop.com/{client_id}/users/{user_id}/urls.json \
_15
-H 'Content-Type: application/vnd.moneydesktop.sso.v3+json' \
_15
-H 'Accept: application/vnd.moneydesktop.sso.v3+json' \
_15
-H 'MD-API-KEY: {api_key}' \
_15
-d '{
_15
"url": {
_15
"is_mobile_webview": false,
_15
"style": {
_15
"font_name": "Roboto"
_15
},
_15
"type": "connect_widget",
_15
"use_cases": ["PFM"],
_15
"ui_message_version": 4
_15
}
_15
}'